package io.renren.common.utils;

import java.util.List;
import java.util.Map;

public class SubString {
    /**
     * 返回数据时，将名称前端的随机数进行删除
     * 用于Map的key为字段名，value为字段值，即列表展示的情景
     * 展示多个实体，每个实体都只有简单的属性
     */
    public static void subStringList(List<Map<String, Object>> data){
        for(Map<String,Object> rowData :data)
        {
            rowData.put("name",rowData.get("name").toString().substring(4));
        }
    }

    /**
     * 返回数据时，将名称前端的随机数进行删除
     * 用于Map的key为单个字段的多个属性，value为单个字段的值
     * 展示某一个实体，List的每一个项都是一个字段
     */
    public static void subStringRow(List<Map<String,Object>> data)
    {
        for(Map<String,Object> colData:data)
        {
            if(colData.get("name").equals("name"))
            {
                colData.put("value",colData.get("value").toString().substring(4));
            }
        }
    }

}
